{ config, pkgs, lib, ... }:
{
  environment.systemPackages = with pkgs; [
    (
      # callPackage is a function that automagically figures out which arguments your function wants, and then provides them from its own set. This pill explains it well: https://nixos.org/guides/nix-pills/callpackage-design-pattern.html
      # https://discourse.nixos.org/t/undefined-variable-fetchfromgithub/14315/2
      pkgs.callPackage ./docker-pushrm-pkg.nix { }
    )
  ];
}
