{ config, pkgs, ... }:
let
  user = config.yoda.user;
in
{
  # Enable firmware update daemon
  services.fwupd.enable = true;

  users.users."${user}" = {
    packages = with pkgs; [
      # Install firmware on devices supported by fwupd.
      gnome-firmware
    ];
  };
}
