{ lib, config, pkgs, ... }:
let
  user = config.yoda.user;
in
{
  users.users."${user}" = {
    packages = with pkgs; [
      file-roller # Archive manager: Compress and decompress
      lz4 # Add support to extract lz4 archives
    ];
  };
}
