{ config, pkgs, lib, ... }:
let
  user = config.yoda.user;
in
{
  users.users."${user}" = {
    packages = with pkgs; [
      tor-browser-bundle-bin # Tor web browser.
    ];
  };

  environment.sessionVariables.MOZ_ENABLE_WAYLAND = lib.mkIf (config.services.xserver.displayManager.gdm.wayland) "1";
}
