{ config, pkgs, ... }:
let
  user = config.yoda.user;
in
{
  assertions = [{
    assertion = config.services.xserver.desktopManager.gnome.enable || config.services.desktopManager.plasma6.enable;
    message = "Only tested with GNOME and KDE";
  }];

  imports = [
    ./t-telesec.nix
  ];

  users.users."${user}" = {
    packages = with pkgs; [
      networkmanager-openconnect # Openconnect VPN
    ];
  };
}
